from machine import UART, ADC
from time import sleep

uart = UART(0,115200, timeout=5)

adc_pin = 0
adc_value = 0
adc = machine.ADC(adc_pin)

conversion_factor=3.3/(2<<15);

while True:
    ch=str(uart.read(1))
    ch=ch[2]
    try:
        ch=int(ch)
    except:
        ch=0
    adc=machine.ADC(ch)
    adc_value=adc.read_u16()
    print ("Pin {} value {}".format(ch, adc_value * conversion_factor))
    uart.write ("Pin {} value {}\n".format(ch, adc_value * conversion_factor))
    sleep(1)
