from tkinter import *
import serial, time

root=Tk()
root.font=('Arial', 30, 'normal')
root.title("Voltmeter") 
root.geometry('250x60+100+100') #window size & position

ser=serial.Serial('/dev/ttyACM0',baudrate=115200,parity=serial.PARITY_NONE,stopbits=serial.STOPBITS_ONE)

def getValue(lb):
    received_data = ser.read()            #read serial port
    time.sleep(0.03)
    data_left=ser.inWaiting()             #check for remaining byte
    received_data+=ser.read(data_left)
    strVal=str("%.2f"%(float(received_data[0:4]))) 
    print(strVal)
    lb.config(text="U = "+strVal+" V")
    time.sleep(.1)
    lb.after(100, getValue , lb)

lb = Label(root)
lb.config(text="", font = root.font)
lb.pack()

getValue(lb)
root.mainloop()